#pragma once

#include "../Assets/Buildings.h"
#include "Object.h"
#include "Attackable.h"

namespace mechanics
{
	class Building: public Object, public Attackable
	{
	public:
		Building(Animator &given_animator, OwnerType::Type owner):
		  Object(given_animator, owner)
		  {
			  given_animator.setAnimation(North, "Stand");
		  }

		  virtual void locateTo(const gge::utils::Point &given_location)
		  {
			  Object::locateTo(given_location);	
		  }

		  virtual gge::utils::Size size() const=0;

	private:

	};
}